TEMPLATE = app
VERSION = 1.2.3
TARGET = scriptomatix
DESTDIR += .
CONFIG  -= debug

QT += qml quick widgets

HEADERS += \
  app_version.h \
  qml_process.h \
  fileio.h \
  shellenv.h

SOURCES += main.cpp \
  qml_process.cpp \
  fileio.cpp \
  shellenv.cpp

lupdate_only { SOURCES = *.qml *.cpp}
TRANSLATIONS = scriptomatix_fr.ts

RESOURCES += qml.qrc

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH =

#DISTFILES +=
OTHER_FILES += \
    $${TARGET}.pro *.pri \                      # QtCreator project
    $${TARGET}*.png \                           # Icons
    $${TARGET}*.dsc $${TARGET}.spec debian.* \  # Packaging files
    *.qml *.qm \                                # Qml sources and translations
    *.desktop \                                 # Linux desktop file
    license*.txt readme.txt \
    check-downgrade.sh \
    examples* icons* help*                      # subdirectories

target.path = /usr/bin

sx_examples.path  = /usr/share/$${TARGET}/examples
sx_examples.files = examples/* examples/*/*

sx_icons.path  = /usr/share/$${TARGET}/icons
sx_icons.files = icons/*.png

sx_help.path  = /usr/share/$${TARGET}/help
sx_help.files = help/* help/*/*

icons.path  = /usr/share/icons
icons.files = $${TARGET}*.png

desktop.path  = /usr/share/applications
desktop.files = $${TARGET}.desktop

INSTALLS += sx_examples sx_icons sx_help icons desktop

include(deployment.pri)               # Default rules for deployment.

# Todo
