/* Seprarator.qml  -- Simple separator for Scriptomatix */
/*
   Copyright (C) 2007-2018 Bruno ANSELME <be.root@free.fr>

   This file is part of the Scriptomatix software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4

Item {
    property alias color: r.color
    width: 5
    anchors.top: parent.top
    anchors.bottom: parent.bottom
    anchors.margins: 2
    Rectangle {
        id: r
        width:1
        height: parent.height
        anchors.horizontalCenter: parent.horizontalCenter
        color: sx_palette.mid
    }
}
