#!/bin/bash
# Downgrade to QtQuick 2.3 (for Debian 8, March 2016 QtQuick 2.4 not avaliable)
qmake --version | grep "5\.3"
if [ $? == 0 ]; then
  echo "Qt 5.3 found. Downgrading to QtQuick 2.3"
  sed -i s/QtQuick\ 2\.4/QtQuick\ 2\.3/ *.qml examples/*.qml help/*/*.html
  sed -i s/QtQuick\.Controls\ 1\.3/QtQuick\.Controls\ 1\.2/ *.qml examples/*.qml help/*/*.html
  sed -i s/QtQuick\.Controls\.Styles\ 1\.3/QtQuick\.Controls\.Styles\ 1\.2/ *.qml examples/*.qml help/*/*.html
  sed -i s/Qml\ Version\ 2\.4/Qml\ Version\ 2\.3/ help/*/*.html
else
  echo "Qt > 5.3 installed. Downgrade not needed"
fi
